﻿Public Class frmMain
    Dim bookDT As New DataTable
    Dim rowIndx As Integer
    Dim currMang As CurrencyManager
    Private Sub frmMain_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim currpath As String = System.Environment.CurrentDirectory
        Dim connStr As String = "Provider=Microsoft.ACE.OLEDB.12.0;" & _
                    "Data Source = " & currpath & "\books09.accdb"
        Dim sqlStr As String = "Select * from book"
        Dim dataAdapter As New OleDb.OleDbDataAdapter(sqlStr, connStr)
        dataAdapter.Fill(bookDT)
        FillTextBoxes()
        currMang = CType(BindingContext(bookDT), CurrencyManager)
        currMang.Position = 0
    End Sub
    Sub FillTextBoxes()
        txtIsbn.DataBindings.Add("Text", bookDT, "isbn")
        txtTitle.DataBindings.Add("Text", bookDT, "title")
    End Sub


    Private Sub btnFirst_Click(sender As System.Object, e As System.EventArgs) Handles btnFirst.Click
        currMang.Position = 0
    End Sub

    Private Sub btnPrev_Click(sender As System.Object, e As System.EventArgs) Handles btnPrev.Click
        If currMang.Position = 0 Then
            currMang.Position = 0
        Else
            currMang.Position = currMang.Position - 1
        End If
    End Sub

    Private Sub btnNext_Click(sender As System.Object, e As System.EventArgs) Handles btnNext.Click
        If currMang.Position < currMang.Count - 1 Then
            currMang.Position = currMang.Position + 1
        Else
            currMang.Position = 0
        End If
    End Sub

    Private Sub btnLast_Click(sender As System.Object, e As System.EventArgs) Handles btnLast.Click
        currMang.Position = currMang.Count - 1
    End Sub
End Class
